PDF::API3::Compat::API2::Basic::TTF::OldMort(3)

NAME
PDF::API3::Compat::API2::Basic::TTF::OldMort - Glyph Metamorphosis table in a font

DESCRIPTION

INSTANCE VARIABLES

version
    table version number (Fixed: currently 1.0)

chains
    list of metamorphosis chains, each of which has its own fields:

defaultFlags
    chain's default subfeature flags (UInt32)

featureEntries
    list of feature entries, each of which has fields:

    type
    setting
    enable
    disable
subtables
    list of metamorphosis subtables, each of which has fields:

    type
        subtable type (0: rearrangement; 1: contextual substitution; 2: ligature; 4: non-contextual substitution; 5: insertion)

    direction
        processing direction ('LR' or 'RL')

    orientation
        applies to text in which orientation ('VH', 'V', or 'H')

    subFeatureFlags
        the subfeature flags controlling whether the table is used (UInt32)

    Further fields depend on the type of subtable:

        Rearrangement table:

        classes
            array of lists of glyphs

        states
            array of arrays of hashes{'nextState', 'flags'}

        Contextual substitution table:

        classes
            array of lists of glyphs

        states
            array of array of hashes{'nextState', 'flags', 'actions'}, where "actions" is an array of two elements which are offsets to be added to [marked, current] glyph to get index into "mappings" (or "undef" if no mapping to be applied)

        mappings
            list of glyph codes mapped to through the state table mappings

        Ligature table:

        Non-contextual substitution table:

        Insertion table:

METHODS

  $t->read
Reads the table into memory

  $t->out($fh)
Writes the table to a file either from memory or by copying

  $t->print($fh)
Prints a human-readable representation of the table

BUGS
None known

AUTHOR
Jonathan Kew Jonathan_Kew@sil.org. See PDF::API3::Compat::API2::Basic::TTF::Font for copyright and licensing.